<?php include_once "../../autoload.php";

$acao = $_POST["acao"];
unset($_POST["acao"]);
$data = new ListaPresenca();

// Todos os dados
$data->dados($_POST);

if($acao != "excluir"){
	$data->lista_presenca_checkout = Funcao::ConvertDateToMysql($data->lista_presenca_checkout);
}
// Dados que precisam de conversões

switch ($acao) {
	case 'cadastrar':
		if ($data->cadastrar()) {
			Mensagem::feedback("Sucesso", "Cadastro realizado com sucesso",1);
		}
		break;
	case 'editar':
		if ($data->alterar()) {
			Mensagem::feedback("Sucesso", "Cadastro alterado com sucesso",2);
		}
		break;
	case 'excluir':
		if ($data->excluir()) {
			Mensagem::feedback("Sucesso", "Cadastro excluido com sucesso",3);
		}
		break;

	default:
		Mensagem::feedback("Erro", "Ação do Forulario não encontrada");
		break;
}


?>